Get the results of the stock balance report

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • customDateTime
    Type: string | nullFormat: date

    The custom date and time the report should be run for

  • includeSerials
    Type: boolean

    If the report should include serials

  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • reportTime
    Type: integerenum

    Integer numbers.

    values
    • Now = 1
    • Custom = 2
  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • application/json
Request Example for post/v1/reports/stock-balance
curl https://api.consignlyhq.com/v1/reports/stock-balance \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "reportTime": "enum (Now = 1, Custom = 2)",
  "customDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "warehouseId": null,
  "clientPartnerId": null,
  "partnerProductId": null,
  "includeSerials": true
}'
[
  {
    "clientName": null,
    "productCode": null,
    "productName": null,
    "productGroupName": null,
    "unitTypeName": null,
    "onHandQuantity": 1,
    "onHandVolumeM3": 1,
    "onHandWeightKG": 1,
    "onHandVirtualPalletQuantity": 1,
    "onHandSerials": [
      "string"
    ]
  }
]